# oscillode
# Copyright (C) 2024 oscillode Project Contributors
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from functools import reduce

import oscillode.contracts as ct

from . import geonodes

BL_REGISTER: list[ct.BLClass] = [
	*geonodes.BL_REGISTER,
]

BL_HANDLERS: ct.BLHandlers = reduce(
	lambda a, b: a + b,
	[
		geonodes.BL_HANDLERS,
	],
	ct.BLHandlers(),
)

BL_HOTKEYS: list[ct.KeymapItemDef] = [
	*geonodes.BL_HOTKEYS,
]

__all__ = [
	'BL_REGISTER',
	'BL_HANDLERS',
	'BL_HOTKEYS',
]
